For the complete documentation index, see llms.txt. This page is also available as Markdown.

Value assignment

Update current order entry order automation configuration for new order

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório
Corpo
typestring · enumOpcionalValores possíveis:
Respostas
200

NewOrder updated

application/json
idstring · uuidOpcional
typestring · enumOpcionalValores possíveis:
created_bystring · uuidOpcional
created_atstring · date-timeOpcional
updated_bystring · uuidOpcional
updated_atstring · date-timeOpcional
put/new-orders/{newOrderId}/value-assignment
PUT /api/b2b/new-orders/{newOrderId}/value-assignment HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 451

{
  "type": "NEW_ORDER",
  "items": [
    {
      "type": "PRE_ORDER_FORM",
      "origin_database_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_database_field_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_database_criteria_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_form_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_form_field_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_fixed_value": "text",
      "origin_context_type": "SELLER",
      "destiny_value": "text"
    }
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "type": "NEW_ORDER",
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "value_assignment_id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "PRE_ORDER_FORM",
      "origin_database_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_database_field_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_database_criteria_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_form_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_form_field_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_fixed_value": "text",
      "origin_context_type": "SELLER",
      "destiny_value": "text",
      "created_by": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_by": "123e4567-e89b-12d3-a456-426614174000",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "created_by": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_by": "123e4567-e89b-12d3-a456-426614174000",
  "updated_at": "2026-01-01T00:00:00.000Z"
}